<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="ListTiposConceptosForm">
            <h:outputText value="Nómina/Catálogos: Tipos de Conceptos" style="font-weight: bold"/>
            <br/><br/>
            <p:dataTable
                id="listado"
                value="#{tiposConceptosMB.listadoTiposConceptos}"
                var="tiposConceptos"
                paginator="true"
                rows="10"
                emptyMessage="No se encontraron tipos de conceptos"
                paginatorPosition="bottom">

                <p:column style="width:32px" headerText="editar">
                    <p:commandButton
                        oncomplete="PF('editTiposConceptos').show();"
                        update=":detalle"
                        title="editar datos"
                        icon="ui-icon ui-icon-pencil">
                        <f:setPropertyActionListener
                            value="#{tiposConceptos}"
                            target="#{tiposConceptosMB.tiposConceptosSelected}" />
                    </p:commandButton>
                </p:column>

                <p:column
                    sortBy="#{tiposConceptos.TIPO_CONCEPTO}"
                    filterMatchMode="contains"
                    filterBy="#{tiposConceptos.TIPO_CONCEPTO}">
                    <f:facet name="header">#{translatedMessage['restricted.nomina.tiposconceptos.tipoConcepto']}</f:facet>
                    <h:outputText value="#{tiposConceptos.TIPO_CONCEPTO}"/>
                </p:column>

                <p:column style="width:100px" headerText="Download: origen archivo">                   
                    <p:commandLink id="downloadArchivo" value="Ver xml" ajax="false"
                        style="font-family: arial; text-align: left; font-size: 11px; color: #274cc9;">
                        <f:setPropertyActionListener
                            value="#{tiposConceptos}"
                            target="#{tiposConceptosMB.tiposConceptosSelected}" />                        
                        <p:fileDownload value="#{tiposConceptosMB.fileDownload}" />
                    </p:commandLink>
                </p:column>
                <p:column style="width:100px" headerText="Download: origen cadena">                   
                    <p:commandLink id="downloadCadena" value="Ver cadena" ajax="false"
                        style="font-family: arial; text-align: left; font-size: 11px; color: #274cc9;">
                        <f:setPropertyActionListener
                            value="#{tiposConceptos}"
                            target="#{tiposConceptosMB.tiposConceptosSelected}" />                        
                        <p:fileDownload value="#{tiposConceptosMB.cadenaDownload}" />
                    </p:commandLink>
                </p:column>

                <p:column                    
                    sortBy="#{tiposConceptos.DESCRIPCION_CONCEPTO}"
                    filterMatchMode="contains"
                    filterBy="#{tiposConceptos.DESCRIPCION_CONCEPTO}">
                    <f:facet name="header">#{translatedMessage['restricted.nomina.tiposconceptos.descConcepto']}</f:facet>
                    <h:outputText value="#{tiposConceptos.DESCRIPCION_CONCEPTO}"/>
                </p:column>

                
                
            </p:dataTable>
            <br/><br/>
            <table>
                <tr>
                    <th>
                        <p:commandButton
                            value="Nuevo"
                            type="button"
                            update=":detalle"
                            onclick="addTiposConceptos.show()">                           
                        </p:commandButton>
                        <br/><br/>
                    </th>
                    <th>
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            onclick="location='#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                        </p:commandButton>         
                        <br/><br/>                       
                    </th>
                </tr>
            </table>
        </h:form>
    </ui:define>

    <ui:define name="outLayoutPart" >
        <ui:include src="EditTiposConceptos.xhtml" />
        <ui:include src="AddTiposConceptos.xhtml" />
    </ui:define>

</ui:composition>
